Subject: Re: [PATCH] hvc_console polling mode timer backoff

From: [email-masked] (Olof Johansson)
Date: Thu, 12 Apr 2007 20:56:31 -0500

On Fri, Apr 13, 2007 at 10:45:43AM +1000, Michael Ellerman wrote:
> On Thu, 2007-04-12 at 14:09 -0500, Olof Johansson wrote:
> > I wasn't going to bring it up since I think it's a good approach as is,
> > but another thing that could be worth considering is to not just go
> > from whatever value to min on every actual input, instead go down in
> > delay a bit (say half the delay). Likewise you might be able to back off
> > more aggressively than just one millisecond per iteration.   Of course,
> > both of these should take min/max values into consideration.
> 
> I experimented with increasing the delay faster (100ms per iteration)
> and found it effected the feel of the console too much when you're
> actually typing. Though perhaps increasing by 10%-20% of the current
> delay every iteration might work OK.

Ok, no need to do it differently then really. I mostly wondered if
someone had already experimented.

-Olof